Method: regionCompositeHealthChecks.getHealth

Gets the most recent health check results for this regional CompositeHealthCheck.

HTTP request

GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/compositeHealthChecks/{compositeHealthCheck}/getHealth

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
project

string

Name of the project scoping this request.

region

string

Name of the region scoping this request.

compositeHealthCheck

string

Name of the CompositeHealthCheck resource to get health for.

Request body

The request body must be empty.

Response body

Response message for RegionCompositeHealthChecks.GetHealth

If successful, the response body contains data with the following structure:

JSON representation
{
  "kind": string,
  "healthState": enum,
  "healthSources": [
    {
      "source": string,
      "healthState": enum
    }
  ]
}
Fields
kind

string

[Output Only] Type of resource. Always compute#compositeHealthCheckHealth for the health of composite health checks.

healthState

enum

Health state of the CompositeHealthCheck.

healthSources[]

object

Health sources and their corresponding health states.

healthSources[].source

string

Fully qualified URL of the associated HealthSource resource.

healthSources[].healthState

enum

Health state of the associated HealthSource resource.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.regionCompositeHealthChecks.get

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.